/*
 *  ofxSOBuzz.cpp
 *  openFrameworks
 *
 *  Created by joshua noble on 10/24/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include "ofxSOBuzz.h"

ofxSOBuzz::ofxSOBuzz(ofxSndObj* parent, float frequency, float amp, int harm)
{
	sndobj = parent;
	key = sndobj->createBuzz(frequency, amp, harm);
}

ofxSOBuzz::~ofxSOBuzz()
{
	
}

string ofxSOBuzz::getType()
{
	string s = string("ofxSOBuzz");
	printf(" ********* returning string type %s", s.c_str());
	return s;
}

ofxSOBuzz::ofxSOBuzz(){}

void ofxSOBuzz::init(ofxSndObj* parent, float frequency, float amp, int harm)
{
	sndobj = parent;
	key = sndobj->createBuzz( frequency, amp, harm );
}

int ofxSOBuzz::setFrequency(float frequency = 0, float amp = 0)
{
	sndobj->tuneBuzz(key, frequency, amp);
}

