/*
 *  ofxOscilator.cpp
 *  openFrameworks
 *
 *  Created by joshua noble on 10/21/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include "ofxSOOscilator.h"

ofxSOOscilator::ofxSOOscilator(ofxSndObj* parent, ofxSOTable t, float frequency, float amp)
{
	sndobj = parent;
	key = sndobj->createOscilator(t, frequency, amp);
}

ofxSOOscilator::~ofxSOOscilator()
{

}

string ofxSOOscilator::getType()
{
	return "ofxSOOscilator";
}

ofxSOOscilator::ofxSOOscilator(){}

void ofxSOOscilator::init(ofxSndObj* parent, ofxSOTable t, float frequency, float amp, ofxBaseSndObj b, int type)
{
	sndobj = parent;
	key = sndobj->createOscilator(t, frequency, amp, b, type);
}

void ofxSOOscilator::init(ofxSndObj* parent, ofxSOTable t, float frequency, float amp)
{
	sndobj = parent;
	key = sndobj->createOscilator(t, frequency, amp);
}

int ofxSOOscilator::setFrequency(float frequency)
{
	sndobj->tuneOscilator(key, frequency, 0);
}

int ofxSOOscilator::setAmp(float amplitude)
{
	sndobj->tuneOscilator(key, 0, amplitude);
}