/*
 *  ofxSOFilter.cpp
 *  openFrameworks
 *
 *  Created by Joshua Noble on 10/25/08.
 *
 */

#include "ofxSOFilter.h"

ofxSOFilter::ofxSOFilter()
{
}

ofxSOFilter::~ofxSOFilter()
{
	sndobj->removeFilter(key);
}

string ofxSOFilter::getType()
{
	 return "ofxSOFilter";
}

void ofxSOFilter::init(ofxSndObj* parent, string filterType, float frequency, float bandwidth, ofxBaseSndObj inObject, int type)
{
	sndobj = parent;
	key = sndobj->createFilter(filterType, frequency, bandwidth, inObject, type);
}

void ofxSOFilter::tuneFilter(float frequency, float bandwidth)
{
	sndobj->tuneFilter(key, frequency, bandwidth);
}